您的位置:首页 > 其它

Revit API遍历房间Room创建空间Space

2012-01-01 21:46 405 查看
遍历全部房间,为每个房间创建对应的空间。
[TransactionAttribute(Autodesk.Revit.Attributes.TransactionMode.Manual)]
public class cmdRoom : IExternalCommand
{
public Result Execute(ExternalCommandData commandData, ref string messages, ElementSet elements)
{
UIApplication uiApp = commandData.Application;
Document doc = uiApp.ActiveUIDocument.Document;
Selection sel = uiApp.ActiveUIDocument.Selection;

Transaction ts = new Transaction(doc, "http://revit.5d6d.com");
ts.Start();

//遍历所有房间
FilteredElementCollector collector = new FilteredElementCollector(doc);
collector.OfCategory(BuiltInCategory.OST_Rooms);
foreach (Element el in collector)
{
Room room = el as Room;
LocationPoint roomPoint = room.Location as LocationPoint;
//为房间创建空间
doc.Create.NewSpace(room.Level, new UV(roomPoint.Point.X, roomPoint.Point.Y));
}

ts.Commit();

return Result.Succeeded;
}
}from:http://revit.5d6d.com/thread-1384-1-1.html
内容来自用户分享和网络整理,不保证内容的准确性,如有侵权内容,可联系管理员处理 点击这里给我发消息
标签: